Customers
Users Notes List
Retrieve a list of notes in an existing customer.
Authorization
oauth2 users:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: users:read
Path Parameters
id*integer
A unique integer value identifying this User.
Query Parameters
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"unstable"Value in
"unstable"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/users/0/notes/" \
-H "X-29next-API-Version: unstable" \
-H "Authorization: Bearer "{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"app": {
"client_id": "string",
"name": "string"
},
"author": {
"email": "user@example.com",
"first_name": "string",
"id": 0,
"last_name": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"id": 0,
"message": "string",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}